Subject: Re: bug#39704: 28.0.50; vc-print-branch-log data loss

From: Juri Linkov <[email-masked]>
Date: Sun, 23 Feb 2020 02:07:10 +0200

>> Accidentally I noticed that vc-print-branch-log prints a narrower log
>> than it should.  I don't remember any damage from this data loss
>> but this is not the right thing to do - by default it should show logs
>> from the repository root, not logs limited to a subdirectory when
>> this command happens to be called from a subdirectory.
>> Am I correct to expect that vc-print-branch-log should print
>> log from branch's root like vc-print-root-log does, and
>> not from a subdirectory like vc-print-log does?
>
> I think so (then, the patch LGTM).

Or maybe retain the old behavior on using a prefix arg?

I.e. C-u M-x vc-print-branch-log could ask for a directory,
with the default on default-directory.